Xerces2 Implementation: Interface XPointerProcessor

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xpointer
Interface XPointerProcessor

All Known Implementing Classes:
  XPointerHandler

public interface XPointerProcessor

The XPointerProcessor is responsible for parsing an XPointer expression and and providing scheme specific resolution of the document fragment pointed to be the pointer.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: XPointerProcessor.java 603808 2007-12-13 03:44:48Z mrglavas $

Field Summary
`static int` | `EVENT_ELEMENT_EMPTY`
`static int` | `EVENT_ELEMENT_END`
`static int` | `EVENT_ELEMENT_START`

Method Summary
`boolean` | `isFragmentResolved()` Returns true if the XPointer expression resolves to the current resource fragment or Node which is part of the input resource being streamed else returns false.
`boolean` | `isXPointerResolved()` Returns true if the XPointer expression resolves any subresource of the input resource.
`void` | `parseXPointer(java.lang.String xpointer)` Parses an XPointer expression.
`boolean` | `resolveXPointer(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, org.apache.xerces.xni.Augmentations augs, int event)` Evaluates an XML resource with respect to an XPointer expressions by checking if it's element and attributes parameters match the criteria specified in the xpointer expression.

Field Detail

### EVENT_ELEMENT_START

    public static final int EVENT_ELEMENT_START

### EVENT_ELEMENT_END

    public static final int EVENT_ELEMENT_END

### EVENT_ELEMENT_EMPTY

    public static final int EVENT_ELEMENT_EMPTY

Method Detail

### parseXPointer

    public void parseXPointer(java.lang.String xpointer)
                       throws org.apache.xerces.xni.XNIException

  Parses an XPointer expression. It performs scheme specific processing depending on the pointer parts and sets up a Vector of XPointerParts in the order (left-to-right) they appear in the XPointer expression.
  Parameters:
    `xpointer` - A String representing the xpointer expression.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown if the xpointer string does not conform to the XPointer Framework syntax or the syntax of the pointer part does not conform to its definition for its scheme.

### resolveXPointer

    public boolean resolveXPointer(org.apache.xerces.xni.QName element,
                                   org.apache.xerces.xni.XMLAttributes attributes,
                                   org.apache.xerces.xni.Augmentations augs,
                                   int event)
                            throws org.apache.xerces.xni.XNIException

  Evaluates an XML resource with respect to an XPointer expressions by checking if it's element and attributes parameters match the criteria specified in the xpointer expression.
  Parameters:
    `element` - - The name of the element.
    `attributes` - - The element attributes.
    `augs` - - Additional information that may include infoset augmentations
    `event` - - An integer indicating 0 - The start of an element 1 - The end of an element 2 - An empty element call
  Returns:
    true if the element was resolved by the xpointer
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown to signal an error

### isFragmentResolved

    public boolean isFragmentResolved()
                               throws org.apache.xerces.xni.XNIException

  Returns true if the XPointer expression resolves to the current resource fragment or Node which is part of the input resource being streamed else returns false.
  Returns:
    True if the xpointer expression matches a node/fragment in the resource else returns false.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown to signal an error

### isXPointerResolved

    public boolean isXPointerResolved()
                               throws org.apache.xerces.xni.XNIException

  Returns true if the XPointer expression resolves any subresource of the input resource.
  Returns:
    True if the xpointer expression matches a fragment in the resource else returns false.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown to signal an error

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.